Contacts
Update a contact
PUT
/
api
/
v1
/
contacts
/
{id}
Update a contact
curl --request PUT \
--url https://api.linebundle.com/api/v1/contacts/{id} \
--header 'Content-Type: application/json' \
--data '
{
"is_favorite": true,
"address_line1": "<string>",
"address_line2": "<string>",
"avatar_url": "<string>",
"city": "<string>",
"company": "<string>",
"country": "<string>",
"email": "<string>",
"first_name": "<string>",
"job_title": "<string>",
"last_name": "<string>",
"linked_user_id": "<string>",
"middle_name": "<string>",
"nickname": "<string>",
"notes": "<string>",
"phone_primary": "<string>",
"phone_secondary": "<string>",
"phone_work": "<string>",
"postal_code": "<string>",
"state_province": "<string>",
"tags": [
"<string>"
],
"website": "<string>"
}
'import requests
url = "https://api.linebundle.com/api/v1/contacts/{id}"
payload = {
"is_favorite": True,
"address_line1": "<string>",
"address_line2": "<string>",
"avatar_url": "<string>",
"city": "<string>",
"company": "<string>",
"country": "<string>",
"email": "<string>",
"first_name": "<string>",
"job_title": "<string>",
"last_name": "<string>",
"linked_user_id": "<string>",
"middle_name": "<string>",
"nickname": "<string>",
"notes": "<string>",
"phone_primary": "<string>",
"phone_secondary": "<string>",
"phone_work": "<string>",
"postal_code": "<string>",
"state_province": "<string>",
"tags": ["<string>"],
"website": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
is_favorite: true,
address_line1: '<string>',
address_line2: '<string>',
avatar_url: '<string>',
city: '<string>',
company: '<string>',
country: '<string>',
email: '<string>',
first_name: '<string>',
job_title: '<string>',
last_name: '<string>',
linked_user_id: '<string>',
middle_name: '<string>',
nickname: '<string>',
notes: '<string>',
phone_primary: '<string>',
phone_secondary: '<string>',
phone_work: '<string>',
postal_code: '<string>',
state_province: '<string>',
tags: ['<string>'],
website: '<string>'
})
};
fetch('https://api.linebundle.com/api/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/contacts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'is_favorite' => true,
'address_line1' => '<string>',
'address_line2' => '<string>',
'avatar_url' => '<string>',
'city' => '<string>',
'company' => '<string>',
'country' => '<string>',
'email' => '<string>',
'first_name' => '<string>',
'job_title' => '<string>',
'last_name' => '<string>',
'linked_user_id' => '<string>',
'middle_name' => '<string>',
'nickname' => '<string>',
'notes' => '<string>',
'phone_primary' => '<string>',
'phone_secondary' => '<string>',
'phone_work' => '<string>',
'postal_code' => '<string>',
'state_province' => '<string>',
'tags' => [
'<string>'
],
'website' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/contacts/{id}"
payload := strings.NewReader("{\n \"is_favorite\": true,\n \"address_line1\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"avatar_url\": \"<string>\",\n \"city\": \"<string>\",\n \"company\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"<string>\",\n \"first_name\": \"<string>\",\n \"job_title\": \"<string>\",\n \"last_name\": \"<string>\",\n \"linked_user_id\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"nickname\": \"<string>\",\n \"notes\": \"<string>\",\n \"phone_primary\": \"<string>\",\n \"phone_secondary\": \"<string>\",\n \"phone_work\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"website\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.linebundle.com/api/v1/contacts/{id}")
.header("Content-Type", "application/json")
.body("{\n \"is_favorite\": true,\n \"address_line1\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"avatar_url\": \"<string>\",\n \"city\": \"<string>\",\n \"company\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"<string>\",\n \"first_name\": \"<string>\",\n \"job_title\": \"<string>\",\n \"last_name\": \"<string>\",\n \"linked_user_id\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"nickname\": \"<string>\",\n \"notes\": \"<string>\",\n \"phone_primary\": \"<string>\",\n \"phone_secondary\": \"<string>\",\n \"phone_work\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"website\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/contacts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"is_favorite\": true,\n \"address_line1\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"avatar_url\": \"<string>\",\n \"city\": \"<string>\",\n \"company\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"<string>\",\n \"first_name\": \"<string>\",\n \"job_title\": \"<string>\",\n \"last_name\": \"<string>\",\n \"linked_user_id\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"nickname\": \"<string>\",\n \"notes\": \"<string>\",\n \"phone_primary\": \"<string>\",\n \"phone_secondary\": \"<string>\",\n \"phone_work\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"website\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"address_line1": "<string>",
"address_line2": "<string>",
"avatar_url": "<string>",
"city": "<string>",
"company": "<string>",
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"first_name": "<string>",
"id": "<string>",
"is_favorite": true,
"job_title": "<string>",
"last_name": "<string>",
"linked_user_id": "<string>",
"middle_name": "<string>",
"nickname": "<string>",
"notes": "<string>",
"org_id": "<string>",
"owner_id": "<string>",
"phone_primary": "<string>",
"phone_secondary": "<string>",
"phone_work": "<string>",
"postal_code": "<string>",
"state_province": "<string>",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"website": "<string>",
"$schema": "https://api.linebundle.com/schemas/Contact.json"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Path Parameters
Contact ID
Body
application/json
Favorite flag
Address line 1
Maximum string length:
255Address line 2
Maximum string length:
255Avatar URL
Maximum string length:
500City
Maximum string length:
100Company
Maximum string length:
255Country
Maximum string length:
100Maximum string length:
255First name
Maximum string length:
255Job title
Maximum string length:
255Last name
Maximum string length:
255Linked user ID
Middle name
Maximum string length:
255Nickname
Maximum string length:
255Notes
Primary phone
Maximum string length:
50Secondary phone
Maximum string length:
50Work phone
Maximum string length:
50Postal code
Maximum string length:
20State/Province
Maximum string length:
100Tags
Website URL
Maximum string length:
255Response
OK
Address line 1
Address line 2
Avatar URL
City
Company
Country
Created timestamp
Email address
First name
Contact ID
Marked as favorite
Job title
Last name
Linked system user ID
Middle name
Nickname
Notes
Organization ID (null = personal)
Owner user ID
Primary phone
Secondary phone
Work phone
Postal code
State/Province
Tags
Updated timestamp
Website URL
A URL to the JSON Schema for this object.
Example:
"https://api.linebundle.com/schemas/Contact.json"
Last modified on June 11, 2026
⌘I
Update a contact
curl --request PUT \
--url https://api.linebundle.com/api/v1/contacts/{id} \
--header 'Content-Type: application/json' \
--data '
{
"is_favorite": true,
"address_line1": "<string>",
"address_line2": "<string>",
"avatar_url": "<string>",
"city": "<string>",
"company": "<string>",
"country": "<string>",
"email": "<string>",
"first_name": "<string>",
"job_title": "<string>",
"last_name": "<string>",
"linked_user_id": "<string>",
"middle_name": "<string>",
"nickname": "<string>",
"notes": "<string>",
"phone_primary": "<string>",
"phone_secondary": "<string>",
"phone_work": "<string>",
"postal_code": "<string>",
"state_province": "<string>",
"tags": [
"<string>"
],
"website": "<string>"
}
'import requests
url = "https://api.linebundle.com/api/v1/contacts/{id}"
payload = {
"is_favorite": True,
"address_line1": "<string>",
"address_line2": "<string>",
"avatar_url": "<string>",
"city": "<string>",
"company": "<string>",
"country": "<string>",
"email": "<string>",
"first_name": "<string>",
"job_title": "<string>",
"last_name": "<string>",
"linked_user_id": "<string>",
"middle_name": "<string>",
"nickname": "<string>",
"notes": "<string>",
"phone_primary": "<string>",
"phone_secondary": "<string>",
"phone_work": "<string>",
"postal_code": "<string>",
"state_province": "<string>",
"tags": ["<string>"],
"website": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
is_favorite: true,
address_line1: '<string>',
address_line2: '<string>',
avatar_url: '<string>',
city: '<string>',
company: '<string>',
country: '<string>',
email: '<string>',
first_name: '<string>',
job_title: '<string>',
last_name: '<string>',
linked_user_id: '<string>',
middle_name: '<string>',
nickname: '<string>',
notes: '<string>',
phone_primary: '<string>',
phone_secondary: '<string>',
phone_work: '<string>',
postal_code: '<string>',
state_province: '<string>',
tags: ['<string>'],
website: '<string>'
})
};
fetch('https://api.linebundle.com/api/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/contacts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'is_favorite' => true,
'address_line1' => '<string>',
'address_line2' => '<string>',
'avatar_url' => '<string>',
'city' => '<string>',
'company' => '<string>',
'country' => '<string>',
'email' => '<string>',
'first_name' => '<string>',
'job_title' => '<string>',
'last_name' => '<string>',
'linked_user_id' => '<string>',
'middle_name' => '<string>',
'nickname' => '<string>',
'notes' => '<string>',
'phone_primary' => '<string>',
'phone_secondary' => '<string>',
'phone_work' => '<string>',
'postal_code' => '<string>',
'state_province' => '<string>',
'tags' => [
'<string>'
],
'website' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/contacts/{id}"
payload := strings.NewReader("{\n \"is_favorite\": true,\n \"address_line1\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"avatar_url\": \"<string>\",\n \"city\": \"<string>\",\n \"company\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"<string>\",\n \"first_name\": \"<string>\",\n \"job_title\": \"<string>\",\n \"last_name\": \"<string>\",\n \"linked_user_id\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"nickname\": \"<string>\",\n \"notes\": \"<string>\",\n \"phone_primary\": \"<string>\",\n \"phone_secondary\": \"<string>\",\n \"phone_work\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"website\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.linebundle.com/api/v1/contacts/{id}")
.header("Content-Type", "application/json")
.body("{\n \"is_favorite\": true,\n \"address_line1\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"avatar_url\": \"<string>\",\n \"city\": \"<string>\",\n \"company\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"<string>\",\n \"first_name\": \"<string>\",\n \"job_title\": \"<string>\",\n \"last_name\": \"<string>\",\n \"linked_user_id\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"nickname\": \"<string>\",\n \"notes\": \"<string>\",\n \"phone_primary\": \"<string>\",\n \"phone_secondary\": \"<string>\",\n \"phone_work\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"website\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/contacts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"is_favorite\": true,\n \"address_line1\": \"<string>\",\n \"address_line2\": \"<string>\",\n \"avatar_url\": \"<string>\",\n \"city\": \"<string>\",\n \"company\": \"<string>\",\n \"country\": \"<string>\",\n \"email\": \"<string>\",\n \"first_name\": \"<string>\",\n \"job_title\": \"<string>\",\n \"last_name\": \"<string>\",\n \"linked_user_id\": \"<string>\",\n \"middle_name\": \"<string>\",\n \"nickname\": \"<string>\",\n \"notes\": \"<string>\",\n \"phone_primary\": \"<string>\",\n \"phone_secondary\": \"<string>\",\n \"phone_work\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"state_province\": \"<string>\",\n \"tags\": [\n \"<string>\"\n ],\n \"website\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"address_line1": "<string>",
"address_line2": "<string>",
"avatar_url": "<string>",
"city": "<string>",
"company": "<string>",
"country": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"first_name": "<string>",
"id": "<string>",
"is_favorite": true,
"job_title": "<string>",
"last_name": "<string>",
"linked_user_id": "<string>",
"middle_name": "<string>",
"nickname": "<string>",
"notes": "<string>",
"org_id": "<string>",
"owner_id": "<string>",
"phone_primary": "<string>",
"phone_secondary": "<string>",
"phone_work": "<string>",
"postal_code": "<string>",
"state_province": "<string>",
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"website": "<string>",
"$schema": "https://api.linebundle.com/schemas/Contact.json"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}